Using kernel 4.4.6 with FAI

Thomas Lange lange at
Tue Mar 22 20:58:52 CET 2016

Using a 4.x kernel inside a nfsroot was not easy until now, because
aufs file system support was dropped from the Debian kernel
package. Instead overlayfs was added. But currently FAI does not work
using overlayfs.

That's why I've built a kernel package including aufs support with
kernel 4.4.6. It's now available in the jessie package repository at

Add this package name to /etc/fai/NFSROOT: linux-image-4.4.6-fai-amd64

You should also check if you have included the package dracut
(additional to dracut-network) in /etc/fai/NFSROOT. This is needed
since dracut 044+3-2 and was not yet added to the FAI packages.

After rebuilding your nfsroot, you can use the kernel 4.4.6 with FAI.
regards Thomas

More information about the linux-fai mailing list